package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.vo.SysOaClaimVo;
import com.ruoyi.oa.domain.bo.SysOaClaimBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * 差旅费报销Service接口
 *
 * @author ruoyi
 * @date 2025-02-21
 */
public interface ISysOaClaimService {

    /**
     * 查询差旅费报销
     */
    SysOaClaimVo queryById(Long claimId);

    /**
     * 查询差旅费报销列表
     */
    TableDataInfo<SysOaClaimVo> queryPageList(SysOaClaimBo bo, PageQuery pageQuery);

    /**
     * 查询差旅费报销列表
     */
    List<SysOaClaimVo> queryList(SysOaClaimBo bo);

    /**
     * 新增差旅费报销
     */
    Boolean insertByBo(SysOaClaimBo bo);

    /**
     * 修改差旅费报销
     */
    Boolean updateByBo(SysOaClaimBo bo);

    /**
     * 校验并批量删除差旅费报销信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询报销表单
     * @param procInsId 实例id
     * @return vo对象
     */
    SysOaClaimVo queryByProcInsId(String procInsId);

    TableDataInfo<SysOaClaimVo> queryPageListByMoney(SysOaClaimBo bo, PageQuery pageQuery);
    TableDataInfo<SysOaClaimVo> queryPageListByClaim(SysOaClaimBo bo, PageQuery pageQuery);
}
